[HOME] [DOWNLOAD] [DOCS] [NEWS] [SUPPORT] [TIPS] [ISSUES] [DONATE]

I can't import Whonix to VMware Workstation . Please HELP Me !!

When I import Whonix-Gateway .ova to VMware Workstation 10.0.7 ,
Error message appears .

The message is

Device ‘VirtualCdrom’ uses a controller that is not supported.
This is a general limitation of the virtual machine’s compatibility with the ESXi version of the selected host.

So , I can’t import Whonix-Gateway to VMware Workstation .
I tried & tried to import many times , But I couldn’t import .

I want to use Whonix by using VMware Workstation .
Because I want to use Nested Virtualization .
Virtual Box can’t use Nested Virtualization , so I decided to use VMware .

My PC is
OS Windows XP Pro SP3
CPU Core2Ex 9650
Memory 4GB
GPU Geforce750Ti

I want to use this
Windows XP -> Whonix ->Windows XP

Yes , This is called Nested Virtualization .
I want to use Windows apps safely through Whonix-Gateway .

If anyone has great knowledge , Please HELP Me …

VMWare is recommended against. https://www.whonix.org/wiki/VMware

It can. https://www.whonix.org/wiki/Nested_Virtualization

You can’t with XP. I can’t install Window XP on the Whonix Virtual Box . Help Me !!

There are many more search results, both in Documentation & the Forums.

1 Like

Thanx any answers .

I used to try Nested Virtualization by using Virtual Box .
But , I coudn’t .
So , I decided to use VMware .

But , I know Virtual Box is more better to use Whonix .
OK ,
I try Virtual Box , again .

I saw this page .

In this page , there is

VirtualBox inside VirtualBox
Be sure to change your host key.
VirtualBox -> Preferences -> Input -> Host Key. The “outside” and the “inside” Host Key must differ,
otherwise you can not leave the VM “inside” anymore.

I checked my Outside Virtual Box Host Key & Inside Virtual Box Host Key .
There are same Right Ctrl .

To use Nested Virtualization by Virtual Box ,
Should I change Inside Virtual Box Host Key , from Right Ctrl to Left Ctrl ??

Please tell me …

  • Your question is not Whonix-specific. The answer will be the same regardless of whatever OS you choose to use with nested virtualization. This forum is unable to provide support for every platform, OS, and software that Whonix might use.

  • Best place to ask about Nested Virtualization would be the Virtualbox forums. To make it easier, search or ask about using “32-bit Debian with Nested Virtualization”.

  • https://www.whonix.org/wiki/Support#Free_Support_Principle provides some more resources to help yourself.

  • If you encounter Whonix-specific issues, feel free to post again.

1 Like

I can’t install XP inside virtualbox .
I have done all the way that I can do .
But , I couldn’t do Nested Virtualization …
I have succeeded install XP to outside Virtual Box many times .
But , I couldn’t do install XP or 7 to inside Virtual Box …

So , I decided to use WINE .
It can use Windows apps on the Linux .
I installed WINE inside Whonix Workstation .
by , sudo apt-get install wine
and
sudo apt-get install winetricks .
Installation was succeeded , But I can’t run WINE and WINE Tricks .
There is No Wine folder in the HOME …
So , Command Screen says Not find Wine and Wine Tricks .

Why ??
I tried Wine installation many times , and Command screen says already installed newest version .
But , can’t run Wine or Wine tricks .

Please Help Me !!!

I think this is Whonix-specific issues …

I’ve installed Wine on the Command Screen .
Command Screen says already installed newest version .
But , I can’t Run wine and wine tricks .

I want to use Wine tricks and want to install windows DLLs so that can run many Windows apps on the Linux-Whonix .

I can’t understand why I can’t run Wine tricks …
So , Please tell me the answer …

Good day,

Like @entr0py said, the problem regarding nested virtualization isn’t Whonix specific.

Also, VMware is not supported by Whonix in any way.

Regarding Wine, an error message would be helpful. If you are installing this because you want proxifier, don’t. That program is not compatible with Linux (no, not even when using Wine), is considered insecure and last but not least doesn’t offer the same functions as Proxychains.

Have a nice day,

Ego

Hi , Mr.Ego Good Day .
I don’t use proxifier .

Is Whonix Gateway torified both upload & download stream ??
Maybe I know all upload & download streaming are torified by Whonix Gateway .

So maybe , I won’t use proxifier …

Now , in my situation , the problem is
Why I can’t run Wine tricks .
I installed Wine & Wine tricks by Konsole command screen .
Yes , it is true .
But , When I do , sudo wine tricks , error message says
can’t find Wine folder …

uuuuuuuuuummm…What happened ?? I don’t know …
Is it bug ?? I guess so …

Another , I installed Filezilla , by sudo apt-get install filezilla .
This was OK . Installation succeeded & I could run&use Filezilla .

When I use Filezilla to use to upload files to any servers ,
The uploading stream is torified by Whonix Gateway ??
I worried little bit …

Maybe it will OK , I think …

Good day,

Yes. Otherwise Whonix wouldn’t make any sense. Any traffic is always torrified.

Did you install all dependencies? Please go through everything necessary as mentioned here: https://packages.debian.org/de/wheezy/winetricks

Also, like said before, this is not so much a Whonix, as more a general Debian question.

Of course. Any program you run in the Workstation has its traffic get routed through Tor, both in down, as well as in upload.

Have a nice day,

Ego

1 Like

Hi , Mr.Ego ,
I managed to run Wine tricks .
And I succeeded to install any Windows DLLs .
But , The app Which I want to install & use could not install to whonix by using Wine .

I searched for any solution on the net , And I tried any way which I can do ,
But , could not install the Windows app .

So , I talked with Wine Forum member .
I think this is Wine problem .
At there Wine forum member says
Upgrade Wine latest version .

When I used Wine tricks , konsole panel says Wine version is 1.6.2 .
So my Whonix workstations Wine version is 1.6.2
I updated Debian & upgraded Wine .
But Konsole panel says Wine is newest version …
I Ran Wine tricks by Konsole panel & checked Wine version .
The version is still 1.6.2 …

How can I upgrade Wine to the newest 1.8.2 version ??

Good day,

Could you please try running “sudo apt-get install wine1.8”?

Have a nice day,

Ego

I tied sudo apt-get install wine1.8
And the results are

Reading package lists… Done
Building dependency tree
Reading state information… Done
E: Unable to locate package wine1.8
E: Couldn’t find any package by regex ‘wine1.8’

How should I do next ??

Good day,

Under those circumstances, you’ll have to add the repository manually by running:

sudo add-apt-repository ppa:ubuntu-wine/ppa sudo apt-get update

And after that again:

sudo apt-get install wine1.8

As the newest version seems to not have been included in the standard repository of Debian.

Have a nice day,

Ego

I tried this

sudo add-apt-repository ppa:ubuntu-wine/ppa

Then the result is

sudo: add-apt-repository: command not found

Oh … No …

Good day,

Please run:

sudo apt-get install software-properties-common

After that, try the aforementioned commands again.

Have a nice day,

Ego

Hi , Mr . Ego
I tried

sudo apt-get install software-properties-common

and

sudo add-apt-repository ppa:ubuntu-wine/ppa
sudo apt-get update

and

sudo apt-get install wine1.8

The Final results are

Reading package lists… Done
Building dependency tree
Reading state information… Done
E: Unable to locate package wine1.8
E: Couldn’t find any package by regex ‘wine1.8’

uuuuumm…
Oh … no…

Why I cant install Wine 1.8.2
I cant know the reason at all …

I want to install The newest Wine version .

Whonix cant install Wine 1.8.2 ??

Wine forum member says install the newest version .

You can do with Whonix anything you could do with Debian jessie. There is no artificial restriction for that kind of use.

[Imprint] [Privacy Policy] [Cookie Policy] [Terms of Use] [E-Sign Consent] [DMCA] [Investors] [Priority Support] [Professional Support]